Get webhook by ID
curl --request GET \
--url https://management-api.fpjs.io/webhooks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Version: <x-api-version>'import requests
url = "https://management-api.fpjs.io/webhooks/{id}"
headers = {
"X-API-Version": "<x-api-version>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-Version': '<x-api-version>', Authorization: 'Bearer <token>'}
};
fetch('https://management-api.fpjs.io/webhooks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "wh_HYv9YfsIIUjpvR",
"description": "My Webhook",
"verified": false,
"environment": {},
"url": "https://website.com/webhook",
"legacy": true,
"basic_auth": {},
"created_at": "2023-11-07T05:31:56Z",
"signing_key": "<string>",
"last_enabled_at": {},
"last_disabled_at": {}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"violations": [
{
"property": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"violations": [
{
"property": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>"
}
}webhooks
Get webhook by ID
deprecated
Fetch a specific webhook by ID.
GET
/
webhooks
/
{id}
Get webhook by ID
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Management API version.
Path Parameters
Webhook ID
Response
Webhook object.
Show child attributes
Show child attributes
Was this page helpful?
⌘I